Interpolation error

Dear Sir,
Thanks for the wonderful code and it is very useful. I have updated with recent version of AMSET with full elastic constant tensor…
In my current system, I can able to run the calculation completely with only interpolation factor of 1 (21x21x21) mesh. The kpoints used in DFT calculation is 13x13x13. If I increase the default interpolation factor 10 or even 2, 3 or 4 I cannot able to finish up with the calculation.
Here I cannot able to attach the files…
I also tried the following
export OMP_NUM_THREADS=1
I also set the tag cache_wavefunction to False.
Can you please give me some suggestions on it or I have to run it with big cluster, however my old calculations with older AMSET code runs well even with interpolation factor 50 in the same computer what I am using. However I used the orbital projections method in those calculation. Now I am following more accurately as per the manual of AMSET…
Please help me in this issue…
The following error with interpolation 2

Initializing POP scattering
- average N_po: 1.1348
- omega_po: 88.84 2pi THz
- hbar.omega: 0.0585 eV

Forking 8 processes to calculate scattering
- time: 0.1758 s

Scattering information:
- # ir k-points: 560

Calculating rates for spin-up band 1
- # k-points within Fermi-Dirac cut-offs: 2541
- time: 41.5205 s

Calculating rates for spin-up band 2
- # k-points within Fermi-Dirac cut-offs: 19683

ERROR: amset exiting on 24 Dec 2020 at 19:18

Traceback (most recent call last):
File “/home/rajan/anaconda3/lib/python3.8/site-
packages/amset/scattering/calculate.py”, line 469, in
_get_rate_from_queue
result = self.out_queue.get(timeout=10)
File
“/home/rajan/anaconda3/lib/python3.8/multiprocessing/queues.py”,
line 108, in get
raise Empty
_queue.Empty

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/home/rajan/anaconda3/bin/amset”, line 8, in
sys.exit(cli())
File “/home/rajan/anaconda3/lib/python3.8/site-
packages/click/core.py”, line 829, in call
return self.main(*args, **kwargs)
File “/home/rajan/anaconda3/lib/python3.8/site-
packages/click/core.py”, line 782, in main
rv = self.invoke(ctx)
File “/home/rajan/anaconda3/lib/python3.8/site-
packages/click/core.py”, line 1259, in invoke
return _process_result(sub_ctx.command.invoke(sub_ctx))
File “/home/rajan/anaconda3/lib/python3.8/site-
packages/click/core.py”, line 1066, in invoke
return ctx.invoke(self.callback, **ctx.params)
File “/home/rajan/anaconda3/lib/python3.8/site-
packages/click/core.py”, line 610, in invoke
return callback(*args, **kwargs)
File “/home/rajan/anaconda3/lib/python3.8/site-
packages/amset/tools/run.py”, line 139, in run
runner.run()
File “/home/rajan/anaconda3/lib/python3.8/site-
packages/amset/core/run.py”, line 62, in run
mem_usage, (amset_data, usage_stats) = memory_usage(
File “/home/rajan/anaconda3/lib/python3.8/site-
packages/memory_profiler.py”, line 336, in memory_usage
returned = f(*args, **kw)
File “/home/rajan/anaconda3/lib/python3.8/site-
packages/amset/core/run.py”, line 117, in _run_wrapper
amset_data, scattering_time = self._do_scattering(amset_data)
File “/home/rajan/anaconda3/lib/python3.8/site-
packages/amset/core/run.py”, line 271, in _do_scattering
scatter.calculate_scattering_rates(), scatter.scatterer_labels
File “/home/rajan/anaconda3/lib/python3.8/site-
packages/amset/scattering/calculate.py”, line 351, in
calculate_scattering_rates
) = self.calculate_band_rates(spin, b_idx)
File “/home/rajan/anaconda3/lib/python3.8/site-
packages/amset/scattering/calculate.py”, line 421, in
calculate_band_rates
ir_idx, elastic_rates[…, ir_idx] =
self._get_rate_from_queue()
File “/home/rajan/anaconda3/lib/python3.8/site-
packages/amset/scattering/calculate.py”, line 475, in
_get_rate_from_queue
raise MemoryError(
MemoryError: Some subprocessess were killed unexpectedly. Could be
OOM Killer?
Try reducing nworkers.

The following error with interpolation 4

Calculating rates for spin-down band 2
├── # k-points within Fermi–Dirac cut-offs: 29791
├── elastic: 88%|████████████████████████████▏ | 04:34<01:05Process MemTimer-1:
Killed
(base) [email protected]:~/Desktop/scn/amset/zero$ Traceback (most recent call last):
File “/home/rajan/anaconda3/lib/python3.8/site-packages/psutil/_common.py”, line 449, in wrapper
ret = self._cache[fun]
AttributeError: _cache

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/home/rajan/anaconda3/lib/python3.8/site-packages/psutil/_pslinux.py”, line 1516, in wrapper
return fun(self, *args, **kwargs)
File “/home/rajan/anaconda3/lib/python3.8/site-packages/psutil/_common.py”, line 452, in wrapper
return fun(self)
File “/home/rajan/anaconda3/lib/python3.8/site-packages/psutil/_pslinux.py”, line 1558, in _parse_stat_file
with open_binary("%s/s/stat" (self._procfs_path, self.pid)) as f:
File “/home/rajan/anaconda3/lib/python3.8/site-packages/psutil/_common.py”, line 713, in open_binary
return open(fname, “rb”, **kwargs)
FileNotFoundError: [Errno 2] No such file or directory: ‘/proc/10040/stat’

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/home/rajan/anaconda3/lib/python3.8/site-packages/psutil/init.py”, line 373, in _init
self.create_time()
File “/home/rajan/anaconda3/lib/python3.8/site-packages/psutil/init.py”, line 723, in create_time
self._create_time = self._proc.create_time()
File “/home/rajan/anaconda3/lib/python3.8/site-packages/psutil/_pslinux.py”, line 1516, in wrapper
return fun(self, *args, **kwargs)
File “/home/rajan/anaconda3/lib/python3.8/site-packages/psutil/_pslinux.py”, line 1728, in create_time
ctime = float(self._parse_stat_file()[‘create_time’])
File “/home/rajan/anaconda3/lib/python3.8/site-packages/psutil/_pslinux.py”, line 1523, in wrapper
raise NoSuchProcess(self.pid, self._name)
psutil.NoSuchProcess: psutil.NoSuchProcess process no longer exists (pid=10040)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/home/rajan/anaconda3/lib/python3.8/multiprocessing/process.py”, line 315, in _bootstrap
self.run()
File “/home/rajan/anaconda3/lib/python3.8/site-packages/memory_profiler.py”, line 215, in run
cur_mem = _get_memory(
File “/home/rajan/anaconda3/lib/python3.8/site-packages/memory_profiler.py”, line 184, in _get_memory
return toolsbackend
File “/home/rajan/anaconda3/lib/python3.8/site-packages/memory_profiler.py”, line 128, in ps_util_tool
process = psutil.Process(pid)
File “/home/rajan/anaconda3/lib/python3.8/site-packages/psutil/init.py”, line 346, in init
self._init(pid)
File “/home/rajan/anaconda3/lib/python3.8/site-packages/psutil/init.py”, line 386, in _init
raise NoSuchProcess(pid, None, msg)
psutil.NoSuchProcess: psutil.NoSuchProcess no process found with pid 10040

Hi,

It seems your calculation is running out of memory during the scattering rate calculation. The error message is a bit buried in the full error log but the important bit is:

MemoryError: Some subprocessess were killed unexpectedly. Could be
OOM Killer? Try reducing nworkers.

Can you try running amset with nworkers: 1. This will force amset to only use a single core to calculate scattering. Alternatively, you can try reducing the number of doping/temperatures in your calculation.

Please let me know if that fixes your problem.

Best,
Alex